# HG changeset patch
# Node ID a9e0c37132317ec2c913472775ad2776572c964f
# Parent  497c03200a9989cf440cc57389613d290bc92e88
diff --git a/protocols/ircv3/ircv3generategir.c b/protocols/ircv3/ircv3generategir.c
deleted file mode 100644
--- a/protocols/ircv3/ircv3generategir.c
+++ /dev/null
@@ -1,32 +0,0 @@
-/*
- * Purple - Internet Messaging Library
- * Copyright (C) Pidgin Developers <devel@pidgin.im>
- *
- * Purple is the legal property of its developers, whose names are too numerous
- * to list here.  Please refer to the COPYRIGHT file distributed with this
- * source distribution.
- *
- * This library is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation; either version 2 of the License, or
- * (at your option) any later version.
- *
- * This library is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this library; if not, see <https://www.gnu.org/licenses/>.
- */
-
-#include <glib.h>
-
-#include <gplugin-introspection.h>
-
-int
-main(int argc, char *argv[]) {
-    return gplugin_introspection_introspect_plugin(&argc, &argv,
-                                                   PLUGIN_FILENAME);
-}
-
diff --git a/protocols/ircv3/meson.build b/protocols/ircv3/meson.build
--- a/protocols/ircv3/meson.build
+++ b/protocols/ircv3/meson.build
@@ -32,68 +32,11 @@
 	c_name : 'purple_ircv3')
 IRCV3_SOURCES += ircv3_resources
 
-ircv3_h_includes = []
-foreach header : IRCV3_HEADERS
-	ircv3_h_includes += f'#include <@header@>'
-endforeach
-ircv3_h_conf = configuration_data()
-ircv3_h_conf.set('IRCV3_H_INCLUDES', '\n'.join(ircv3_h_includes))
-
-ircv3_h = configure_file(input : 'purpleircv3.h.in',
-                          output : 'purpleircv3.h',
-                          configuration : ircv3_h_conf,
-                          install : true,
-                          install_dir : get_option('includedir') / ircv3_include_base)
-
-install_headers(IRCV3_HEADERS,
-	subdir : ircv3_include_base)
-
-ircv3_prpl = shared_library('ircv3', IRCV3_SOURCES + IRCV3_HEADERS + [ircv3_h],
+shared_library('ircv3', IRCV3_SOURCES + IRCV3_HEADERS,
 	c_args : ['-DPURPLE_IRCV3_COMPILATION', '-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="Purple-IRCv3"'],
 	gnu_symbol_visibility : 'hidden',
 	dependencies : [birb_dep, libpurple_dep, glib, gio, hasl, ibis_dep],
 	install : true,
 	install_dir : PURPLE_PLUGINDIR)
 
-ircv3_dep = declare_dependency(
-	sources : [IRCV3_SOURCES, IRCV3_HEADERS],
-	include_directories : ircv3_includes,
-	dependencies : [birb_dep, libpurple_dep, glib, gio, hasl, ibis_dep])
-
-pkgconfig.generate(
-	# we purposely don't put the library here because you should not be
-	# linking to the plugin, everything will be resolved during runtime.
-	name : 'ircv3',
-	description : 'a purple3 protocol plugin for IRCv3',
-	version : meson.project_version(),
-	subdirs : [ircv3_include_base],
-	filebase : ircv3_filebase,
-	libraries : [gio, glib, hasl, libpurple])
-
-meson.override_dependency(ircv3_filebase, ircv3_dep)
-
 devenv.append('PURPLE_PLUGIN_PATH', meson.current_build_dir())
-
-if get_option('introspection')
-	GPLUGIN_INTROSPECTION = dependency('gplugin-introspection')
-
-	plugin_filename = ircv3_prpl.full_path()
-
-	ircv3_introspection_stub = executable('ircv3generategir',
-		sources : 'ircv3generategir.c',
-		dependencies : [ircv3_dep, libpurple_dep, glib, gio, hasl, GPLUGIN_INTROSPECTION],
-		c_args : ['-DPURPLE_IRCV3_COMPILATION', f'-DPLUGIN_FILENAME="@plugin_filename@"'],
-		install : false)
-
-	gnome.generate_gir(
-		ircv3_introspection_stub,
-		sources : [IRCV3_SOURCES, IRCV3_HEADERS],
-		includes : ['Birb-1.0', 'GLib-2.0', 'GObject-2.0', 'GPlugin-1.0', 'Ibis-1.0', libpurple_gir[0]],
-		namespace : 'PurpleIRCv3',
-		symbol_prefix : 'purple_ircv3',
-		nsversion : '1.0',
-		install : true,
-		dependencies: [birb_dep, gplugin_dep, ibis_dep],
-		export_packages : ['ircv3'],
-		extra_args : ['-DPURPLE_IRCV3_COMPILATION', '--verbose'])
-endif
diff --git a/protocols/ircv3/purpleircv3.h.in b/protocols/ircv3/purpleircv3.h.in
deleted file mode 100644
--- a/protocols/ircv3/purpleircv3.h.in
+++ /dev/null
@@ -1,40 +0,0 @@
-/*
- * Purple - Internet Messaging Library
- * Copyright (C) Pidgin Developers <devel@pidgin.im>
- *
- * Purple is the legal property of its developers, whose names are too numerous
- * to list here.  Please refer to the COPYRIGHT file distributed with this
- * source distribution.
- *
- * This library is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation; either version 2 of the License, or
- * (at your option) any later version.
- *
- * This library is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this library; if not, see <https://www.gnu.org/licenses/>.
- */
-
-#ifndef PURPLE_IRCV3_H
-#define PURPLE_IRCV3_H
-
-#ifndef __GI_SCANNER__ /* hide this bit from g-ir-scanner */
-# ifdef PURPLE_IRCV3_COMPILATION
-#  error "ircv3 source files should not be including purpleircv3.h"
-# endif /* PURPLE_IRCV3_COMPILATION */
-#endif /* __GI_SCANNER__ */
-
-#ifndef PURPLE_IRCV3_GLOBAL_HEADER_INSIDE
-# define PURPLE_IRCV3_GLOBAL_HEADER_INSIDE
-#endif /* PURPLE_IRCV3_GLOBAL_HEADER_INSIDE */
-
-@IRCV3_H_INCLUDES@
-
-#undef PURPLE_IRCV3_GLOBAL_HEADER_INSIDE
-
-#endif /* PURPLE_IRCV3_H */
